Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.8 generated on January 11 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## serp.util
Class SimpleLinkedList

    java.lang.Object
      |
      +--serp.util.SimpleLinkedList

Deprecated. Use the Jakarta project's Commons Collections module.

public class SimpleLinkedList
extends Object

Basic linked list data structure. All methods are designed with performance in mind, and all operate in constant time.

Note that this class does not implement the `List` interface. That interface includes many methods that are not necessary for situations in which the underlying linked list representation is needed -- this class provides such a representation, and nothing more.

Inner Class Summary
`static class` | `SimpleLinkedList.Entry` Deprecated. Doubly linked list element building block.
`class` | `SimpleLinkedList.SimpleLinkedListIterator` Deprecated.

Field Summary
`protected SimpleLinkedList.Entry` | `head` Deprecated. The first `SimpleLinkedList.Entry` element in this list.
`protected int` | `size` Deprecated. The number of objects in this list.
`protected SimpleLinkedList.Entry` | `tail` Deprecated. The last `SimpleLinkedList.Entry` element in this list.

Constructor Summary
`SimpleLinkedList()` Deprecated.

Method Summary
`void` | `append(Object o)` Deprecated. Add a new `SimpleLinkedList.Entry` that contains `o` to the end of this linked list.
`protected void` | `appendEntry(SimpleLinkedList.Entry e)` Deprecated. Add `e` to the end of this linked list.
`void` | `clear()` Deprecated.
`boolean` | `equals(Object ob)` Deprecated.
`int` | `hashCode()` Deprecated.
`SimpleLinkedList.Entry` | `head()` Deprecated.
`Iterator` | `iterator()` Deprecated.
`void` | `prepend(Object o)` Deprecated. Add a new `SimpleLinkedList.Entry` that contains `o` to the beginning of this linked list.
`protected void` | `prependEntry(SimpleLinkedList.Entry e)` Deprecated. Add `e` to the beginning of this linked list.
`void` | `removeEntry(SimpleLinkedList.Entry e)` Deprecated. Remove `e` from this linked list.
`Object` | `removeFirst()` Deprecated. Remove the first element from this linked list.
`Object` | `removeLast()` Deprecated. Remove the last element from this linked list.
`int` | `size()` Deprecated.
`SimpleLinkedList.Entry` | `tail()` Deprecated.

Methods inherited from class java.lang.Object
`, clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### head

    protected SimpleLinkedList.Entry head

  Deprecated.
  The first `SimpleLinkedList.Entry` element in this list.

### tail

    protected SimpleLinkedList.Entry tail

  Deprecated.
  The last `SimpleLinkedList.Entry` element in this list.

### size

    protected int size

  Deprecated.
  The number of objects in this list.

Constructor Detail

### SimpleLinkedList

    public SimpleLinkedList()

  Deprecated.

Method Detail

### prepend

    public void prepend(Object o)

  Deprecated.
  Add a new `SimpleLinkedList.Entry` that contains `o` to the beginning of this linked list.

### prependEntry

    protected void prependEntry(SimpleLinkedList.Entry e)

  Deprecated.
  Add `e` to the beginning of this linked list.

### append

    public void append(Object o)

  Deprecated.
  Add a new `SimpleLinkedList.Entry` that contains `o` to the end of this linked list.

### appendEntry

    protected void appendEntry(SimpleLinkedList.Entry e)

  Deprecated.
  Add `e` to the end of this linked list.

### removeEntry

    public void removeEntry(SimpleLinkedList.Entry e)

  Deprecated.
  Remove `e` from this linked list.

### removeFirst

    public Object removeFirst()

  Deprecated.
  Remove the first element from this linked list.

### removeLast

    public Object removeLast()

  Deprecated.
  Remove the last element from this linked list.

### head

    public SimpleLinkedList.Entry head()

  Deprecated.

### tail

    public SimpleLinkedList.Entry tail()

  Deprecated.

### size

    public int size()

  Deprecated.

### iterator

    public Iterator iterator()

  Deprecated.

### clear

    public void clear()

  Deprecated.

### equals

    public boolean equals(Object ob)

  Deprecated.
  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Deprecated.
  Overrides:
    `hashCode` in class `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.8 generated on January 11 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002,2003 SolarMetric, Inc. All Rights Reserved.